
/* Control appearance of jsPsych.data.displayData() */
#jspsych-data-display {
    font-family: MyGeneralFont;
}

.jspsych-display-element {
    font-family: MyGeneralFont;

}

@font-face {
    font-family: myMainfont;
    src: url('fonts/backissue.ttf');
}

@font-face {
    font-family: MyGeneralFont;
    src: url('fonts/signika.ttf');
}

strong {
    font-weight: 800 !important;
}

html{
    width: 100%;
}

body>*:not(:first-child):not(footer){
    margin-top: 1em;
}

.gral-div {
    font-family: myMainfont;
    position:absolute;
    text-align: center;
    font-size: 25px;
    width: 750px;
    height: 750px;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    left: 50%;
    top:0;
    max-width: 75%;
/*    border:2px solid black;*/
}

.general {
    font-family: MyGeneralFont;
    position:absolute;
    font-size: 25px;
    text-align: center;
    height:80vh;
    width:100vh;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    left: 50%;
    top:0;
    max-width:95%;
}

.title{
    text-align: center;
    font-size: 25px;
    font-family: myMainfont;
    display: inline-block;
    position:relative;
}

#warning p{
    font-family: myMainfont;
    font-size: 30px;
    text-align: center;
}

img {
    max-width: 100%;
    max-height: 100%;
}

p#cartoonfont{
    font-size: 20px;
    font-family: myMainfont;
}

p#generalfont{
    font-size: 20px;
    font-family: MyGeneralFont;
    text-align: left;
}

p#instructions-left{
    font-size: 20px;
    font-family: myMainfont;
    text-align: left;
    display: inline-block;
    max-height: 90%;
    max-width: 90%;
    line-height: 1.2em;
}

p#instructions-center{
    font-size: 20px;
    font-family: myMainfont;
    text-align: center;
    display: inline-block;
    max-height: 90%;
    max-width: 90%;
    line-height: 1.2em;
}

img#ImgGral{
    position: relative;
    border-radius: 8px;
    border: 1px solid #000000;
    /*width:85%;*/
    max-width:80%;
    max-height:80%;
    width: auto;
    height: auto;
    margin:0;

}


/* containers for locatives */

.image-container-locatives{
    position: relative;
    text-align: center;
    width: 750px;
    left:50%;
    height: 750px;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    top: 0;
/*    border:2px solid black;*/
}

.image-inner-container-locatives {
    position: absolute;
}

.warning_locatives{
    width: 750px;
    height: 300px;
    top:30%;
    position:absolute;
    background-color: transparent;
    z-index: 1;
    margin: 0;
    -webkit-animation: fade .5s ease-in;
    animation: fade .5s ease-in;
    /*border:2px solid black;*/

}

.answer_Ann_loc_1{ /* when speaker == Ann */
    position: absolute;
    font-size: 25px;
    top: 62%;
    left: 46%;
    font-family: myMainfont;
}

.answer_Ann_loc_2{ /* when speaker == Ann */
    position: absolute;
    font-size: 25px;
    top: 62%;
    left: 46%;
    font-family: myMainfont;
}

.answer_Ann_loc_3{ /* when speaker == Ann */
    position: absolute;
    font-size: 25px;
    top: 62%;
    left: 46%;
    font-family: myMainfont;
}

.answer_Mary_loc_1{ /* when speaker == Mary */
    position: absolute;
    font-size: 25px;
    top: 34%;
    left: 53%;
    font-family: myMainfont;
}

.answer_Mary_loc_2{ /* when speaker == Mary */
    position: absolute;
    font-size: 25px;
    top: 34%;
    left: 49%;
    font-family: myMainfont;
}

.answer_Mary_loc_3{ /* when speaker == Mary */
    position: absolute;
    font-size: 25px;
    top: 33%;
    left: 79%;
    font-family: myMainfont;
}


/* containers for pronouns */

.image-container-pronouns{
    position: relative;
    text-align: center;
    width: 750px;
    left:50%;
    height: 750px;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    top: 0;
/*    border:2px solid black;*/
}

.image-inner-container-pronouns {
    position: absolute;
}

.warning_pronouns{
    width: 750px;
    height: 300px;
    top:50%;
    position:absolute;
    background-color: transparent;
    z-index: 1;
    margin: 0;
    -webkit-animation: fade .5s ease-in;
    animation: fade .5s ease-in;
    /*border:2px solid black;*/

}


/* pronoun text positions */

.dialogue-pronouns-question-Ann {
    font-family: myMainfont;
    position: absolute;
    top: 68%;
    left: 75%;
    font-size: 15px;
    width: 17%;
}

.dialogue-pronouns-answer-Ann {
    font-family: myMainfont;
    position: absolute;
    top: 70%;
    left: 12%;
    font-size: 20px;
}


.dialogue-pronouns-question-Mary {
    font-family: myMainfont;
    position: absolute;
    top: 67%;
    left: 8%;
    width: 16.5%;
    font-size: 15px;
    /*font-size: 2vh;*/
}

.dialogue-pronouns-answer-Mary {
    font-family: myMainfont;
    position: absolute;
    top: 70%;
    left: 80%;
    font-size: 20px;
}




/* buttons */

.buttons{
    text-align: center;
    position: relative;
    top: 85%;
}

.mybutton {
    display: inline-block;
    padding: 6px 12px;
    font-size: 20px;
    font-family: myMainfont;
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    /*vertical-align: middle;*/
    background-image: none;
    border-radius: 4px;
    color: #333;
    background-color: #fff;
    border-color: black;
}

.mybutton:hover {
    background-color: #aaa;
    border-color: #aaa;
}

.mybutton:disabled {
    background-color: #eee;
    color: #aaa;
    border-color: #ccc;
    cursor: not-allowed;
}
































/* locative text positions */







input[type=text]{
    height: 3em;
    text-indent: 1em;
    font-size: 2.5vh;
    display: inline-block;
    border: 1px solid #d3d3d3;
    border-radius: 4px;
    box-sizing: border-box;
}

textarea {
    height: 5em;
    width: 50%;
}





.mybutton_instructions {
    display: inline-block;
    padding: 6px 12px;
    font-size: 2.5vh;
    font-family: myMainfont;
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border-radius: 4px;
    color: #333;
    background-color: #fff;
    border-color: black;
}


.mybutton_general{
    display: inline-block;
    padding: 6px 12px;
    font-size: 2.5vh;
    font-family: MyGeneralFont;
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border-radius: 4px;
    color: #333;
    background-color: #fff;
    border-color: black;
}



/* The container */
.container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 3vh;
    cursor: pointer;
    font-size: 3vh;
    font-family: MyGeneralFont;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


/*
!* Hide the browser's default checkbox *!
.container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

!* Create a custom checkbox *!
.checkmark {
    position: absolute;
    top: 0;
    left: 40%;
    height: 5vh;
    width: 5vh;
    background-color: #eee;
}

!* On mouse-over, add a grey background color *!
.container:hover input ~ .checkmark {
    background-color: #ccc;
}

!* When the checkbox is checked, add a blue background *!
.container input:checked ~ .checkmark {
    background-color: darkblue;
}
*/



/* jsPsych progress bar */

#jspsych-progressbar-container {
    font-family: MyGeneralFont;
    color: #555;
    border-bottom: 1px solid #dedede;
    background-color: #f9f9f9;
    margin-bottom: 1em;
    text-align: center;
    padding: 8px 0px;
    width: 100%;
    line-height: 1em;
}
#jspsych-progressbar-container span {
    font-size: 14px;
    padding-right: 14px;
}
#jspsych-progressbar-outer {
    background-color: #eee;
    width: 50%;
    margin: auto;
    height: 14px;
    display: inline-block;
    vertical-align: middle;
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
}
#jspsych-progressbar-inner {
    background-color: #aaa;
    width: 0%;
    height: 100%;
}
